Re-attempt delivery of a stored webhook event
curl --request POST \
--url https://v1.orchestrator.rhinestone.dev/deposit-processor/webhooks/events/{id}/resend \
--header 'x-api-key: <x-api-key>'import requests
url = "https://v1.orchestrator.rhinestone.dev/deposit-processor/webhooks/events/{id}/resend"
headers = {"x-api-key": "<x-api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://v1.orchestrator.rhinestone.dev/deposit-processor/webhooks/events/{id}/resend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"eventId": "<string>",
"attempts": 123
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}Webhooks
Re-attempt delivery of a stored webhook event
Re-sends an existing webhook event to the configured webhook URL using its original eventId. Useful for replaying a delivery that failed permanently. Does not allocate a new event id.
POST
/
webhooks
/
events
/
{id}
/
resend
Re-attempt delivery of a stored webhook event
Headers
API key for authentication
Example:
"your-api-key"
API version identifier (e.g. "2026-04.amazon"). Optional today, will become required in a future release.
Pattern:
^\d{4}-\d{2}\.[a-z0-9]+$Example:
"2026-04.amazon"
Path Parameters
Pattern:
^\d+$Was this page helpful?
⌘I